package model

type VirtualCoin struct {
	Id                 int    `json:"id" xorm:"not null pk autoincr INT(11)"`
	Name               string `json:"name" xorm:"not null default '' comment('名称') VARCHAR(255)"`
	ExchangeRatio      string `json:"exchange_ratio" xorm:"not null comment('兑换比例(与金额)') DECIMAL(5,2)"`
	IsUse              int    `json:"is_use" xorm:"comment('是否开启：0否 1是') TINYINT(1)"`
	CanExchange        string `json:"can_exchange" xorm:"comment('能兑换的虚拟币id和手续费列表json') VARCHAR(255)"`
	CanExchangeMoney   int    `json:"can_exchange_money" xorm:"not null default 0 comment('现金能否兑换：0否 1是') TINYINT(1)"`
	IsBlock            int    `json:"is_block" xorm:"not null default 0 comment('是否区块币:0否 1是') TINYINT(1)"`
	FunctionType       string `json:"function_type" xorm:"comment('功能类型') VARCHAR(255)"`
	CanCny             int    `json:"can_cny" xorm:"not null default 0 comment('是否能兑换余额:0否 1是') TINYINT(1)"`
	CanTransfer        int    `json:"can_transfer" xorm:"not null default 0 comment('是否能支持转账:0否 1是') TINYINT(1)"`
	CanBackout         int    `json:"can_backout" xorm:"not null default 0 comment('是否能支持转账撤回:0否 1是') TINYINT(1)"`
	LimitLevelTransfer string `json:"limit_level_transfer" xorm:"default '' comment('能支持转账的用户等级') VARCHAR(600)"`
	LimitLevelBackout  string `json:"limit_level_backout" xorm:"comment('能支持撤回的用户等级') VARCHAR(600)"`
}
